////////////////////////////////////////////////
//
// Beispiel zum Test der Tastatureingabe
// 
////////////////////////////////////////////////

// aktuelle und alte Position der Malobjekte (Linie)
int xOld, yOld, x, y;

void setup() {
  size(400, 400);
  resetDrawing();
}

void draw() {
}

// Löscht die Zeichenfläche und setzt den Stift ins Zentrum
void resetDrawing() {
  x = width/2;
  y = width/2;
  strokeWeight(1);
  stroke(0);
  background(255);
}

// Malfarbe neu setzen
void setColor(color c) { 
  stroke(c);
}

// Maldicke neu setzen
void setWeight(int w) {
  strokeWeight(w);
}

// Strich in vorgegebene Richtung malen
void advanceStroke(int dx, int dy) {
  xOld = x; 
  yOld = y; 
  x += dx; 
  y += dy;
  line(xOld, yOld, x, y);
}

///////////////////////////////////////////////

void keyPressed() {
  if (key == CODED) {
    switch (keyCode) {
    case UP :     
      advanceStroke(0, -3);
      break;
    case DOWN :   
      advanceStroke(0, 3);
      break;
    case RIGHT :  
      advanceStroke(3, 0);
      break;
    case LEFT :   
      advanceStroke(-3, 0);
      break;
    }
  } else {
    switch (key) {
    case 'r':     
      setColor(color(255, 0, 0));
      break;
    case 's':     
      setColor(color(0, 0, 0));
      break;
    case '1' :    
      setWeight(1);
      break;
    case '2' :    
      setWeight(2);
      break;
    case 'z':     
      resetDrawing();
      break;
    }
  }
}